﻿using System.Collections.Generic;

namespace AdrianKousz.Util
{
	public interface ICommand<T>
	{
		string GetDescription();
		string GetHelp();
		int GetArgumentCount();
		void SetArguments(T args);
		void Run();
	}
}
